// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; c++-electric-colon: t;  comment-column: 35-*-

#include "paramarr.hpp"

#include <ctype.h>		// para toupper

//______________________________________________________________
paramArr::paramArr( const char* _fileN )
// **Parses file and places the values of the params in an array
//   indexed by the first letter of the parameter. Ctor...
//_______________________________________________________________
{

    char 
      line[MAXPARAMSIZE],  
      foo[MAXPARAMSIZE],
      op[MAXPARAMSIZE],
      param[MAXPARAMSIZE];
    
    ifstream fin( _fileN );
    if (fin == 0) {
	cerr << "File " << _fileN << " does not exist\n";
	exit(1);
    }
      
    while (!fin.eof()) {
	fin.getline( line, MAXPARAMSIZE);
	istrstream istr( line, MAXPARAMSIZE );
	istr >> foo >> op >> param;
	strcpy( store[toupper(line[0])-'A'], op );
	if ( strlen( param ) > 0 ) {
	  strcat(  store[toupper(line[0])-'A'], " " );
	  strcat(  store[toupper(line[0])-'A'], param );
	}
    }
    fin.close();

};




//--------------------------------------------------------------------------
void paramArr::getStr(char _fparam, 
                      char* _inStr, 
                      unsigned _numChar ) const {
//--------------------------------------------------------------------------
  if (_fparam >= 'A' && _fparam <='Z')
    strncpy( _inStr, store[_fparam-'A'], _numChar );
};




