// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; c++-electric-colon: t;  comment-column: 35-*-

#ifndef __PARAMARR_HPP
#define __PARAMARR_HPP

#include "general.hpp"		// for mybool & others
#include "popsgar.hpp"		// for reprodmodes

#include <fstream.h>
#include <strstream.h>

#include <stdlib.h>		// for atoi and atof

#define MAXPARAMSIZE 200
#define NUMCHARS 26

class paramArr {
  public:
    paramArr( const char* _fileN );

    float getFloat( char _fparam) { 
        return (_fparam >= 'A' && _fparam <='Z')?atof(store[_fparam- 'A' ]):0;
    };

    int getInt( char _fparam) { 
        return (_fparam >= 'A' && _fparam <='Z')?atoi(store[_fparam- 'A' ]):0;
    };

    void getStr( char _fparam, char* _inStr, unsigned _numChar ) const;

  private:
    char store[NUMCHARS][MAXPARAMSIZE];
};

#endif				// __PARAMARR_HPP
